using System;
using System.Runtime.Serialization;

namespace Com.Bocom.OpenApi
{
    [Serializable]
    [DataContract]
    public class BocomResponse
    {
        /// <summary>
        /// 返回访问状态字 S-成功 F-失败
        /// </summary>
        [DataMember]
        private string biz_state = "P";

        /// <summary>
        /// 返回码
        /// </summary>
        [DataMember]
        private string rsp_code = "";

        /// <summary>
        /// 逻辑异常返回信息
        /// </summary>
        [DataMember]
        private string rsp_msg = "";

        [DataMember] private string ref_msg_id;

        public string GetRefMsgId()
        {
            return ref_msg_id;
        }

        public void SetRefMsgId(string value)
        {
            ref_msg_id = value;
        }

        public string GetRspCode()
        {
            return rsp_code;
        }

        public void SetRspCode(string value)
        {
            rsp_code = value;
        }

        public string GetRspMsg()
        {
            return rsp_msg;
        }

        public void SetRspMsg(string value)
        {
            rsp_msg = value;
        }

        /**
         * @return 报文成功级别标识；非业务级别成功标识
         */
        public bool IsSuccess()
        {
            return biz_state.Equals("S");
        }

        public string GetBizState()
        {
            return biz_state;
        }

        public void SetBizState(string state)
        {
            biz_state = state;
        }
    }
}